es升级问题

作者 norman | 发布于2018年08月14日 | 阅读数:274

目前生产集群为5.4.0,想升级到最新版本,不知哪个版本更好一点,6.3、6.4、6.2。es集群服务后续会为大量查询提供服务。
升级的方案现在还没有确定,不知怎么升级好一点,
另外,现在集群只有五个节点,升级后想扩充到7个节点,请问有什么好的方案没有?
已邀请:

laoyang360 - [死磕Elasitcsearch]知识星球地址:http://t.cn/RmwM3N9;微信公众号:铭毅天下; 博客:blog.csdn.net/laoyang360

赞同来自: norman

1.可以选择最新的版本,6.4版本是最新版本,肯定修复了6.3的相关bug,但是需要考虑新版本的风险。
6.3是个里程碑的大版本,可以考虑。
2.升级参考:5.6.X之前的版本和5.6.X之后的版本升级6.X处理方式不一样。
需要参考一下官网:https://www.elastic.co/guide/e ... .html
3.建议升级完成后,再考虑扩充节点就可以。新节点用新版本。

zqc0512 - andy zhou

赞同来自: norman

等等吧,6.4都还没有正式发布呢,现在应该是6.3.2样。
一般目前稳定的话,不建议升级,升级的话一般解决撒问题的呢。根据实际情况来。
目前对我来说最大的问题是 6不支持多个type了……
 

要回复问题请先登录注册